public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "William Hubbs" <williamh@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/spire/
Date: Sun,  7 Jun 2020 20:44:12 +0000 (UTC)	[thread overview]
Message-ID: <1591562642.1e7781a07ed2ac8a4e66fb425f33d2dea72459e4.williamh@gentoo> (raw)

commit:     1e7781a07ed2ac8a4e66fb425f33d2dea72459e4
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Sun Jun  7 20:34:45 2020 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Sun Jun  7 20:44:02 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e7781a0

app-misc/spire: restrict tests for now

I attempted to run tests, but they fail because of no "test files".
I will look at re-enabling them later.

Closes: https://bugs.gentoo.org/722332
Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 app-misc/spire/spire-0.10.0.ebuild | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/app-misc/spire/spire-0.10.0.ebuild b/app-misc/spire/spire-0.10.0.ebuild
index 1e4f516c7b8..c55c76dc083 100644
--- a/app-misc/spire/spire-0.10.0.ebuild
+++ b/app-misc/spire/spire-0.10.0.ebuild
@@ -493,11 +493,17 @@ COMMON_DEPEND="acct-group/spire
 DEPEND="${COMMON_DEPEND}"
 RDEPEND="${COMMON_DEPEND}"
 
+RESTRICT+=" test"
+
 src_compile() {
 	go build -o spire-agent ./cmd/spire-agent || die
 	go build -o spire-server ./cmd/spire-server || die
 }
 
+src_test() {
+	go test ./... || die "tests failed"
+}
+
 src_install() {
 	exeinto /opt/spire
 	doexe spire-agent spire-server


             reply	other threads:[~2020-06-07 20:44 UTC|newest]

Thread overview: 19+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-06-07 20:44 William Hubbs [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-21 20:20 [gentoo-commits] repo/gentoo:master commit in: app-misc/spire/ Arthur Zamarin
2025-01-21 20:20 Arthur Zamarin
2024-04-17 21:02 Conrad Kostecki
2024-01-18 21:23 William Hubbs
2023-08-11 18:57 William Hubbs
2023-08-11 18:57 William Hubbs
2023-05-20 16:54 William Hubbs
2023-05-20 16:54 William Hubbs
2023-04-13 15:02 William Hubbs
2022-07-23 22:24 William Hubbs
2022-07-23 22:11 William Hubbs
2022-07-23 20:58 William Hubbs
2022-02-22  0:20 William Hubbs
2022-02-22  0:15 William Hubbs
2021-10-22 16:36 William Hubbs
2020-10-06 18:36 William Hubbs
2020-05-15 23:23 William Hubbs
2019-09-09 16:21 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1591562642.1e7781a07ed2ac8a4e66fb425f33d2dea72459e4.williamh@gentoo \
    --to=williamh@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox